<?php

/**
 * 
 * GC J.O.C.O.B (Just One Checkout Button)
 * Module for Prestashop E-Commerce Software
 * 
 * @description One Button for alle compatible payment methods
 * @version     1.0.0
 * @date        2012 03 26
 * @author      Markus Engel <info@onlineshop-module.de>
 * @copyright   Copyright (c) 2012, Onlineshop-Module.de
 * @license     commercial, see licence.txt
 *
 */

if (!defined('_CAN_LOAD_FILES_'))
	exit;

class GCjocob extends PaymentModule {
	
	/*
	*	Construct / Destruct
	*/
	
	public function __construct() {
		
	 	$this->name    = 'gcjocob';
	 	$this->tab     = 'gc_modules';
	 	$this->version = '1.0.0';
		$this->author  = 'Onlineshop-Module.de';
        
	 	parent::__construct();
		
		$this->displayName = 'GC JOCOB';
        $this->description = $this->l('Just One CheckOut Button');
		
		if(!$this->checkLastPos())
			$this->warning = $this->l('Please move this module to te last position of all payment modules.');
		
	}
	
	/*
	*	Install / Uninstall
	*/
	
   public  function install() {
		
		return parent::install() and $this->registerHook('payment');
		
    }
	
	public function uninstall() {
		
		return parent::uninstall();
		
	}
	
	/*
	*	Hooks
	*/
	
	public function hookPayment($params) {
		
		global $smarty;
		
		return $this->display(__FILE__, 'payment.tpl');
		
	}
	
	/*
	*	Custom Functions
	*/
	
	public function checkLastPos() {
		
		if(!$this->id)
			return true;
		
		$position = $this->getPosition(1);
		
		$result = Db::getInstance()->getValue('
			SELECT `position`
			FROM `'._DB_PREFIX_.'hook_module`
			WHERE `id_hook` = '.(1).'
			AND `position` > '.(int)($position));
		
		return !$result;
		
	}
	
	/*
	*	Admin integration
	*/
	
}
